/* td.h - Header file for td.c
** Copyright (C) 1997,1998 Karl J. Ots
** 
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
** 
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
** 
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef TRANSADF_TD_H
#define TRANSADF_TD_H


/*--------------------*/
/* TrackDisk Routines */
/*--------------------*/

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif /* EXEC_TYPES_H */

#ifndef DEVICES_TRACKDISK_H
#include <devices/trackdisk.h>
#endif /* DEVICES_TRACKDISK_H */


/*---------------------*/
/* Function Prototypes */
/*---------------------*/

BYTE readTrack  (APTR  rBuffer, UBYTE  rNumTracks, UBYTE rTrackNum,
                 struct IOExtTD *rDiskReq);
BYTE writeTrack (APTR  wBuffer, UBYTE  wNumTracks, UBYTE wTrackNum,
                 struct IOExtTD *wDiskReq);
BYTE flushTrack (struct IOExtTD *DiskReq);


/*---------------*/
/* Useful Macros */
/*---------------*/

#define TRACK_SIZE  (TD_SECTOR * NUMSECS) /* Number of bytes in one track */
#define LOW_TRACK   0                     /* The first track on a disk    */
#define HIGH_TRACK  159                   /* The last track on a disk     */

#endif /* TRANSADF_TD_H */
